GrailsSpecTestType (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.spock

## [Groovy] Class GrailsSpecTestType

- org.codehaus.groovy.grails.test.spock.GrailsSpecTestType

- Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `TEST_SUFFIXES` |
    `protected GrailsTestMode` | `mode` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsSpecTestType (java.lang.String name, java.lang.String relativeSourcePath)`
    `GrailsSpecTestType (java.lang.String name, java.lang.String relativeSourcePath, GrailsTestMode mode)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `createGrails2TerminalListenerIfCan()`
    `JUnitReportsFactory` | `createJUnitReportsFactory()`
    `protected org.junit.runners.Suite` | `createSuite(java.lang.Object classes)`
    `protected int` | `doPrepare()`
    `protected GrailsTestTypeResult` | `doRun(GrailsTestEventPublisher eventPublisher)`
    `protected java.io.File` | `getSourceDir()`
    `protected java.util.List<java.lang.String>` | `getTestExtensions()`
    `protected java.util.List<java.lang.String>` | `getTestSuffixes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsTestTypeSupport` | `cleanup, createSystemOutAndErrSwapper, doPrepare, doRun, eachSourceFile, findSourceFiles, getApplicationContext, getSourceDir, getTestClassLoader, getTestExtensions, getTestSuffixes, loadClass, prepare, run, sourceFileToClass, sourceFileToClassFile, sourceFileToClassName`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.util.List<java.lang.String> TEST_SUFFIXES

    - #### protected GrailsTestMode mode

  - ### Constructor Detail

    - #### GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath)

    - #### GrailsSpecTestType(java.lang.String name, java.lang.String relativeSourcePath, GrailsTestMode mode)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.Object createGrails2TerminalListenerIfCan()

    - #### JUnitReportsFactory createJUnitReportsFactory()

    - #### protected org.junit.runners.Suite createSuite(java.lang.Object classes)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected int doPrepare()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected GrailsTestTypeResult doRun(GrailsTestEventPublisher eventPublisher)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.io.File getSourceDir()

    - #### protected java.util.List<java.lang.String> getTestExtensions()

    - #### protected java.util.List<java.lang.String> getTestSuffixes()